@t800zippygod

Какие языки меньше всего парят голову по поводу сторонних зависимостей на Маке с AARCH64?

Всем привет! Я задолбался утыкаться в ошибки установки зависимостей на свой комп.
Главная проблема — линковка и компиляция сишных библиотек. У меня мак на AARCH64.
Так, например, устанавливать тот же numpy для Python приходится через конду, так как в их репозитории лежат скомпиленные под aarch зависимости. Установка diesel-cli для Rust вываливается с ошибкой и тд. Таких примеров множество, приходится часами ковыряться и устанавливать через костыли.
По итогу, вместо написания кода и совершенствования навыков самого программирования приходится танцевать с бубном чуть ли не для каждой библиотеки.
Подскажите один из двух вариантов:
1) как правильно устанавливать сишные зависимости, чтобы они компилились под мою архитектуру
2) какие языки не будут парить по этому поводу голову, предполагаю, это будут языки на виртуальной машине
  • Вопрос задан
  • 150 просмотров
Пригласить эксперта
Ответы на вопрос 3
xez
@xez
Senior Junior Roo
Java - любая зависимость через мавен добавляется на раз-два
Ответ написан
Комментировать
vabka
@vabka
Токсичный шарпист

Установка diesel-cli для Rust вываливается с ошибкой

Тут бы следовало задать вопрос, а правильно ли вы поставили cargo и сам раст.

2) какие языки не будут парить по этому поводу голову, предполагаю, это будут языки на виртуальной машине

С .NET 6 вроде нет проблем. И на розетке, и на maccatalyst работает
Ответ написан
Комментировать
@Neonoviiwolf
Flutter developer
dart/flutter если не нужно с системой общаться, да и куча либ, что легко подключается для работы с системой есть. Хотя стек сейчас пока не популярен в дектопе, упор пока мобильный
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы